import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { PdfGroupWhereInputObjectSchema as PdfGroupWhereInputObjectSchema } from './PdfGroupWhereInput.schema'

const makeSchema = () => z.object({
  is: z.lazy(() => PdfGroupWhereInputObjectSchema).optional(),
  isNot: z.lazy(() => PdfGroupWhereInputObjectSchema).optional()
}).strict();
export const PdfGroupScalarRelationFilterObjectSchema: z.ZodType<Prisma.PdfGroupScalarRelationFilter> = makeSchema() as unknown as z.ZodType<Prisma.PdfGroupScalarRelationFilter>;
export const PdfGroupScalarRelationFilterObjectZodSchema = makeSchema();
